> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_feeHistory

> Returns fee data for historical blocks



## OpenAPI

````yaml /api-reference/openapi.json post /eth_feeHistory
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /eth_feeHistory:
    post:
      tags:
        - Ethereum API
      summary: eth_feeHistory
      description: Returns fee data for historical blocks
      operationId: eth_feeHistory
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: eth_feeHistory
                  description: The method to call
                params:
                  type: array
                  items: {}
                  description: Block count, latest block, and reward percentiles
                  default:
                    - '10'
                    - '0x3039'
                    - - 25
                      - 50
                      - 75
                id:
                  type: integer
                  default: 1
                  description: Request identifier
            example:
              jsonrpc: '2.0'
              id: 1
              method: eth_feeHistory
              params:
                - '10'
                - '0x3039'
                - - 25
                  - 50
                  - 75
      responses:
        '200':
          description: Returns fee history data
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  id:
                    type: integer
                    example: 1
                  result:
                    type: object
                    description: Fee history data
                    properties:
                      oldestBlock:
                        type: string
                        example: '0x3030'
                      baseFeePerGas:
                        type: array
                        items:
                          type: string
                        example:
                          - '0x7'
                          - '0x6'
                          - '0x6'
                          - '0x5'
                          - '0x4'
                          - '0x3'
                          - '0x3'
                          - '0x3'
                          - '0x3'
                          - '0x3'
                          - '0x3'
                      gasUsedRatio:
                        type: array
                        items:
                          type: number
                        example:
                          - 0.5
                          - 0.4
                          - 0.5
                          - 0.4
                          - 0.5
                          - 0.4
                          - 0.5
                          - 0.4
                          - 0.5
                          - 0.4
              example:
                jsonrpc: '2.0'
                id: 1
                result:
                  oldestBlock: '0x3030'
                  baseFeePerGas:
                    - '0x7'
                    - '0x6'
                    - '0x6'
                    - '0x5'
                    - '0x4'
                    - '0x3'
                    - '0x3'
                    - '0x3'
                    - '0x3'
                    - '0x3'
                    - '0x3'
                  gasUsedRatio:
                    - 0.5
                    - 0.4
                    - 0.5
                    - 0.4
                    - 0.5
                    - 0.4
                    - 0.5
                    - 0.4
                    - 0.5
                    - 0.4

````